summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2021-11-01 12:16:43 -0600
committerBen Sima <ben@bsima.me>2021-11-01 12:16:43 -0600
commit78ea579c72ffaf8a7c0a5a6813ec264b03bce7c8 (patch)
tree82828fe4ad9891da919b7f11d096f822940ab2d8 /install.sh
parent22950ff17da1d197f55f1e73783da9077c2e3cdb (diff)
formatting mostly
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh66
1 files changed, 34 insertions, 32 deletions
diff --git a/install.sh b/install.sh
index 6b76d7a..f8f8b9d 100755
--- a/install.sh
+++ b/install.sh
@@ -2,35 +2,37 @@
#
set -euxo pipefail
#
-[[ -z "$1" ]] \
- && echo "usage: install.sh <file.nix>" \
- && echo "where <file.nix> is something from the 'profiles' directory" \
- && exit 1
-#
-mkdir -p ~/.config/nixpkgs
-NIXDIR="$HOME/.config/nixpkgs"
-HOMEFILE="$NIXDIR/home.nix"
-NIXFILE="$(pwd)/$1"
-#
-# start from scratch
-rm "$HOMEFILE"
-ln -s "$NIXFILE" "$HOMEFILE"
-rm "$NIXDIR/config.nix"
-ln -s "$(pwd)/lib/config.nix" "$NIXDIR/config.nix"
-#
-# the notmuch config location is by default ~/.notmuch-config, but home-manager
-# puts it at ~/.config/notmuch/notmuchrc (which makes sense) and then sets
-# NOTMUCH_CONFIG. however, if a program for some reason doesn't read
-# NOTMUCH_CONFIG (emacs), then it won't find the right config file, so I
-# override with a symlink.
-#
-mkdir -p ~/.config/notmuch
-[[ -e ~/.notmuch-config ]] || ln -s ~/.config/notmuch/notmuchrc ~/.notmuch-config
-#
-# symlinking must occur before initial generation. now we can install, and
-# pin our own nixpkgs.
-#
-nix-channel --update
-NIX_PATH=$HOME/.nix-defexpr/channels${NIX_PATH:+:}$NIX_PATH \
- nix-shell . -A install
- #nix-shell '<home-manager>' -A install
+if [[ -z "$1" ]]; then
+ echo "usage: install.sh <file.nix>"
+ echo "where <file.nix> is something from the 'profiles' directory"
+ exit 1
+else
+ #
+ mkdir -p ~/.config/nixpkgs
+ NIXDIR="$HOME/.config/nixpkgs"
+ HOMEFILE="$NIXDIR/home.nix"
+ NIXFILE="$(pwd)/$1"
+ #
+ # start from scratch
+ rm "$HOMEFILE"
+ ln -s "$NIXFILE" "$HOMEFILE"
+ rm "$NIXDIR/config.nix"
+ ln -s "$(pwd)/lib/config.nix" "$NIXDIR/config.nix"
+ #
+ # the notmuch config location is by default ~/.notmuch-config, but home-manager
+ # puts it at ~/.config/notmuch/notmuchrc (which makes sense) and then sets
+ # NOTMUCH_CONFIG. however, if a program for some reason doesn't read
+ # NOTMUCH_CONFIG (emacs), then it won't find the right config file, so I
+ # override with a symlink.
+ #
+ mkdir -p ~/.config/notmuch
+ [[ -e ~/.notmuch-config ]] || ln -s ~/.config/notmuch/notmuchrc ~/.notmuch-config
+ #
+ # symlinking must occur before initial generation. now we can install, and
+ # pin our own nixpkgs.
+ #
+ #nix-channel --update
+ NIX_PATH=$HOME/.nix-defexpr/channels${NIX_PATH:+:}$NIX_PATH \
+ nix-shell . -A install
+ #nix-shell '<home-manager>' -A install
+fi